package com.mx.dla.dda.carga.transaccion.ws.procesarCargaTitulosPN;

import java.io.Serializable;

/**
 * Es la representacion de los parametros para el proceso de la carga de Titulos Transaccional PN
 */
public class ParamCargaTitulosPNDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String nombreArchivo;
	private String expediente;
	private String idCargaTransacciones;
	
	public String getNombreArchivo() {
		return nombreArchivo;
	}

	public void setNombreArchivo(String nombreArchivo) {
		this.nombreArchivo = nombreArchivo;
	}

	public String getExpediente() {
		return expediente;
	}

	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}

	public String getIdCargaTransacciones() {
		return idCargaTransacciones;
	}

	public void setIdCargaTransacciones(String idCargaTransacciones) {
		this.idCargaTransacciones = idCargaTransacciones;
	}

	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" nombreArchivo: _" + this.getNombreArchivo() + "_" + NEW_LINE);
		result.append(" expediente: _" + this.getExpediente() + "_" + NEW_LINE);
		result.append(" idCargaTransacciones: _" + this.getIdCargaTransacciones() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
